Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class FacesEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ActionEvent, ValueChangeEvent

public abstract class FacesEvent
extends java.util.EventObject

Version:
  $Revision: 291104 $ $Date: 2005-09-23 08:01:10 -0400 (Fri, 23 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FacesEvent(UIComponent uiComponent)`

Method Summary
`UIComponent` | `getComponent()`
`PhaseId` | `getPhaseId()`
`abstract boolean` | `isAppropriateListener(FacesListener faceslistener)`
`abstract void` | `processListener(FacesListener faceslistener)`
`void` | `queue()`
`void` | `setPhaseId(PhaseId phaseId)`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacesEvent

    public FacesEvent(UIComponent uiComponent)

Method Detail

### isAppropriateListener

    public abstract boolean isAppropriateListener(FacesListener faceslistener)

### processListener

    public abstract void processListener(FacesListener faceslistener)

### getComponent

    public UIComponent getComponent()

### queue

    public void queue()

### getPhaseId

    public PhaseId getPhaseId()

### setPhaseId

    public void setPhaseId(PhaseId phaseId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD